RuleSetBase (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.digester.RuleSetBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class RuleSetBase

    java.lang.Object
      org.apache.tomcat.util.digester.RuleSetBase

All Implemented Interfaces:
  RuleSet

Direct Known Subclasses:
  ClusterRuleSet, ClusterRuleSetFactory.DefaultClusterRuleSet, ContextRuleSet, EngineRuleSet, HostRuleSet, MemoryRuleSet, NamingRuleSet, RealmRuleSet, TldRuleSet, WebRuleSet

    public abstract class RuleSetBase

extends java.lang.Object
implements RuleSet

Convenience base class that implements the `RuleSet` interface. Concrete implementations should list all of their actual rule creation logic in the `addRuleSet()` implementation.

Field Summary
`protected java.lang.String` | `namespaceURI` The namespace URI that all Rule instances created by this RuleSet will be associated with.

Constructor Summary
`RuleSetBase()`

Method Summary
`abstract void` | `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`java.lang.String` | `getNamespaceURI()` Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  The namespace URI that all Rule instances created by this RuleSet will be associated with.

Constructor Detail

### RuleSetBase

    public RuleSetBase()

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

  Specified by:
    `getNamespaceURI` in interface `RuleSet`

### addRuleInstances

    public abstract void addRuleInstances(Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Specified by:
    `addRuleInstances` in interface `RuleSet`
  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.